# Class SearchForm<Scope>

#### Type Parameters

- Scope = unknown

#### Implements

- FormType<ISearchForm<Scope>>

- Defined in tree/src/lib/search.form.ts:30

#####
Index

### Constructors

constructor

### Properties

rxapFormGroup
scope
search

##
Constructors

### constructor

- new SearchForm<Scope = unknown>(): SearchForm<Scope>

  #### Type Parameters

  - Scope = unknown

  #### Returns SearchForm<Scope>

##
Properties

### rxapFormGroup

rxapFormGroup: RxapFormGroup<ISearchForm<Scope>>

Implementation of FormType.rxapFormGroup

- Defined in tree/src/lib/search.form.ts:32

### scope

scope: RxapFormControl<Record<string, Scope[]>>

Implementation of FormType.scope

- Defined in tree/src/lib/search.form.ts:38

### search

search: RxapFormControl<string>

Implementation of FormType.search

- Defined in tree/src/lib/search.form.ts:35